Subject: Re: svn to git with non-standard layout

From: Bernd Schubert <[email-masked]>
Date: Wed, 23 Nov 2011 22:45:32 +0100

On 11/23/2011 10:19 PM, Frans Klaver wrote:
> On Wed, 23 Nov 2011 20:23:34 +0100, Bernd Schubert
> <[email-masked]> wrote:
>
>> we just want to migrate from subversion to git, but so far all
>> attempts to do that resulted in missing commit information.
>
> What are all attempts? Did you try only git-svn, or did you try tools
> like svn2git?

We are trying to do this ever since Monday and it included svn2git as 
well. The problem with svn2git is that you can provide several tags and 
branch paths, but only a single trunk path.

>
>
>> Any ideas what I still could try to do?
>
> If you haven't tried anything other than git-svn, try svneverever &
> svn2git[1] for an actual repository conversion. Or have a look at the
> newest kid on the block called SubGit[2][3]. In both I don't have any
> experience, but of svn2git I know Qt and KDE have used it successfully
> to convert their repositories.
>
> I assume both are somewhat more complex to use and set up than to simply
> use git-svn, but I guess it will be worth the effort.
>
> Good luck,
> Frans
>
> [1] http://techbase.kde.org/Projects/MoveToGit/UsingSvn2Git
> [2] http://subgit.com/
> [3] http://thread.gmane.org/gmane.comp.version-control.git/185806

Thanks, I'm going to read about svneverever and SubGit tomorrow. We will 
also try another tool that can convert an svn dump (once we get a dump, 
as we don't have easy access to the svn database).

Thanks,
Bernd